Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.core.ext.typeinfo
Class JAbstractMethod

    java.lang.Object
      com.google.gwt.core.ext.typeinfo.JAbstractMethod

All Implemented Interfaces:
  HasMetaData

Direct Known Subclasses:
  JConstructor, JMethod

    public abstract class JAbstractMethod

extends java.lang.Object
implements HasMetaData

Common superclass for `JMethod` and `JConstructor`.

Method Summary
`void` | `addMetaData(java.lang.String tagName, java.lang.String[] values)` Adds additional metadata.
`void` | `addModifierBits(int bits)`
`void` | `addThrows(JType type)`
`JParameter` | `findParameter(java.lang.String name)`
`int` | `getBodyEnd()`
`int` | `getBodyStart()`
`int` | `getDeclEnd()`
`int` | `getDeclStart()`
`abstract JClassType` | `getEnclosingType()` Gets the type in which this method or constructor was declared.
`java.lang.String[][]` | `getMetaData(java.lang.String tagName)` Gets each list of metadata for the specified tag name.
`java.lang.String[]` | `getMetaDataTags()` Gets the name of available metadata tags.
`protected int` | `getModifierBits()`
`java.lang.String` | `getName()`
`JParameter[]` | `getParameters()`
`abstract java.lang.String` | `getReadableDeclaration()`
`JType[]` | `getThrows()`
`abstract JConstructor` | `isConstructor()`
`boolean` | `isDefaultAccess()`
`abstract JMethod` | `isMethod()`
`boolean` | `isPrivate()`
`boolean` | `isProtected()`
`boolean` | `isPublic()`
`protected void` | `toStringParamsAndThrows(java.lang.StringBuffer sb)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### addMetaData

    public void addMetaData(java.lang.String tagName,
                            java.lang.String[] values)

  Description copied from interface: `HasMetaData`
  Adds additional metadata.

  Specified by:
    `addMetaData` in interface `HasMetaData`

### addModifierBits

    public void addModifierBits(int bits)

### addThrows

    public void addThrows(JType type)

### findParameter

    public JParameter findParameter(java.lang.String name)

### getBodyEnd

    public int getBodyEnd()

### getBodyStart

    public int getBodyStart()

### getDeclEnd

    public int getDeclEnd()

### getDeclStart

    public int getDeclStart()

### getEnclosingType

    public abstract JClassType getEnclosingType()

  Gets the type in which this method or constructor was declared.

### getMetaData

    public java.lang.String[][] getMetaData(java.lang.String tagName)

  Description copied from interface: `HasMetaData`
  Gets each list of metadata for the specified tag name.

  Specified by:
    `getMetaData` in interface `HasMetaData`

### getMetaDataTags

    public java.lang.String[] getMetaDataTags()

  Description copied from interface: `HasMetaData`
  Gets the name of available metadata tags.

  Specified by:
    `getMetaDataTags` in interface `HasMetaData`

### getName

    public java.lang.String getName()

### getParameters

    public JParameter[] getParameters()

### getReadableDeclaration

    public abstract java.lang.String getReadableDeclaration()

### getThrows

    public JType[] getThrows()

### isConstructor

    public abstract JConstructor isConstructor()

### isDefaultAccess

    public boolean isDefaultAccess()

### isMethod

    public abstract JMethod isMethod()

### isPrivate

    public boolean isPrivate()

### isProtected

    public boolean isProtected()

### isPublic

    public boolean isPublic()

### getModifierBits

    protected int getModifierBits()

### toStringParamsAndThrows

    protected void toStringParamsAndThrows(java.lang.StringBuffer sb)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD